React Gallery - Enable the Slideshow

The Gallery UI component supports the display of images in a slideshow. To specify the time span that the UI component must wait before moving on to the next image, assign a positive number to the slideshowDelay property. This number specifies the time span in milliseconds. If it is zero, slideshow is disabled.

  • import React from 'react';
  • import 'devextreme/dist/css/dx.common.css';
  • import 'devextreme/dist/css/dx.light.css';
  •  
  • import { Gallery } from 'devextreme-react/gallery';
  •  
  • const dataSource = [
  • 'https://js.devexpress.com/Content/images/doc/20_1/PhoneJS/person1.png',
  • 'https://js.devexpress.com/Content/images/doc/20_1/PhoneJS/person2.png',
  • 'https://js.devexpress.com/Content/images/doc/20_1/PhoneJS/person3.png'
  • ];
  •  
  • class App extends React.Component {
  • render() {
  • return (
  • <Gallery
  • dataSource={dataSource}
  • height={300}
  • slideshowDelay={1500}
  • />
  • );
  • }
  • }
  •  
  • export default App;
See Also

Angular Gallery - Enable the Slideshow
The Gallery UI component supports the display of images in a slideshow. To specify the time span that the UI component must wait before moving on to the next image, assign a positive number to the slideshowDelay property. This number specifies the time span in milliseconds. If it is zero, slideshow is disabled.
HTML
TypeScript
- <dx-gallery
- [dataSource]="galleryDataSource"
- [height]="300"
- [slideshowDelay]="1500">
- </dx-gallery>
- import { DxGalleryModule } from "devextreme-angular";
- // ...
- export class AppComponent {
- galleryDataSource = [
- "https://js.devexpress.com/Content/images/doc/20_1/PhoneJS/person1.png",
- "https://js.devexpress.com/Content/images/doc/20_1/PhoneJS/person2.png",
- "https://js.devexpress.com/Content/images/doc/20_1/PhoneJS/person3.png"
- ];
- }
- @NgModule({
- imports: [
- // ...
- DxGalleryModule
- ],
- // ...
- })
See Also
Feel free to share topic-related thoughts here.
If you have technical questions, please create a support ticket in the DevExpress Support Center.
Thank you for the feedback!
If you have technical questions, please create a support ticket in the DevExpress Support Center.

Vue Gallery - Enable the Slideshow

The Gallery UI component supports the display of images in a slideshow. To specify the time span that the UI component must wait before moving on to the next image, assign a positive number to the slideshowDelay property. This number specifies the time span in milliseconds. If it is zero, slideshow is disabled.

  • <template>
  • <DxGallery
  • :data-source="dataSource"
  • :height="300"
  • :slideshow-delay="1500"
  • />
  • </template>
  •  
  • <script>
  • import 'devextreme/dist/css/dx.common.css';
  • import 'devextreme/dist/css/dx.light.css';
  •  
  • import { DxGallery } from 'devextreme-vue/gallery';
  •  
  • export default {
  • components: {
  • DxGallery
  • },
  • data() {
  • return {
  • dataSource: [
  • 'https://js.devexpress.com/Content/images/doc/20_1/PhoneJS/person1.png',
  • 'https://js.devexpress.com/Content/images/doc/20_1/PhoneJS/person2.png',
  • 'https://js.devexpress.com/Content/images/doc/20_1/PhoneJS/person3.png'
  • ]
  • };
  • }
  • }
  • </script>
See Also